Subject: Re: [PATCH 5/5] git-diff.txt: fix ordering of the [--no-index] form

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Apr 2013 11:25:41 -0700

Ramkumar Ramachandra <[email-masked]> writes:

> The SYNOPSIS lists the [--no-index] form as the last item, but the
> DESCRIPTION lists it as a natural extension of the first form.

Perhaps either the description or your reading is wrong.

The "--no-index" mode was a hack to allow "git diff" goodies to be
used outside the context of "git", and a proper execution of it
should have been to send patches to GNU or BSD diff maintainers, not
to add the "--no-index" option that is unrelated to "git" to our
code.

I think it is more correct to list it as a footnote and list
separately from the main text, which is what the original SYNOPSIS
section does.